RedCrawler API
Flairs V1

User Flair Status V1

Enable or disable user flair for the entire subreddit. Requires mod permissions.

POST /api/v1/communities/{name}/set-flair-enabled

Enable or disable user flair for the entire subreddit. Requires mod permissions.

Path parameters

NameTypeRequiredDescription
namestringYesSubreddit name.

Body parameters

NameTypeRequiredDescription
flair_enabledstringYestrue to enable user flair, false to disable.
proxystringNoProxy. Optional if stored in Token Vault.
flair_self_assign_enabledstringNoAllow users to self-assign. true or false.
bearerstringNoBearer token. Optional if stored in Token Vault.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X POST "https://red-crawler1.p.rapidapi.com/api/v1/communities/pcmasterrace/set-flair-enabled" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com" \
  -H "Content-Type: application/json" \
  --data '{"flair_enabled": "true", "proxy": "<proxy>", "flair_self_assign_enabled": "<flair_self_assign_enabled>", "bearer": "<bearer>"}'

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/communities/pcmasterrace/set-flair-enabled", {
  method: "POST",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    },
    body: JSON.stringify({
  "flair_enabled": "true",
  "proxy": "<proxy>",
  "flair_self_assign_enabled": "<flair_self_assign_enabled>",
  "bearer": "<bearer>"
})
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/communities/pcmasterrace/set-flair-enabled"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com",
    "Content-Type": "application/json"
}
payload = {
  "flair_enabled": "true",
  "proxy": "<proxy>",
  "flair_self_assign_enabled": "<flair_self_assign_enabled>",
  "bearer": "<bearer>"
}
resp = requests.post(url, headers=headers, json=payload)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "json": {
      "errors": []
    }
  },
  "error": null,
  "timestamp": "2026-04-29T10:34:54.900579+00:00"
}

On this page